Package org.apache.catalina.filters

## Class RequestDumperFilter

- java.lang.Object
- - javax.servlet.GenericFilter
  - - org.apache.catalina.filters.RequestDumperFilter

All Implemented Interfaces:
  `java.io.Serializable`, `Filter`, `FilterConfig`

    public class RequestDumperFilter
    extends GenericFilter

Implementation of a Filter that logs interesting contents from the specified Request (before processing) and the corresponding Response (after processing). It is especially useful in debugging problems related to headers and cookies.

When using this Filter, it is strongly recommended that the `org.apache.catalina.filter.RequestDumperFilter` logger is directed to a dedicated file and that the `org.apache.juli.VerbatimFormatter` is used.

Author:
  Craig R. McClanahan
See Also:
  Serialized Form

### Constructor Summary

Constructors
`RequestDumperFilter()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `doFilter​(ServletRequest request, ServletResponse response, FilterChain chain)` Log the interesting request parameters, invoke the next Filter in the sequence, and log the interesting response parameters.

### Methods inherited from class javax.servlet.GenericFilter

`getFilterConfig, getFilterName, getInitParameter, getInitParameterNames, getServletContext, init, init`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface javax.servlet.Filter

`destroy`

### Constructor Detail

#### RequestDumperFilter

    public RequestDumperFilter()

### Method Detail

#### doFilter

    public void doFilter​(ServletRequest request,
                         ServletResponse response,
                         FilterChain chain)
                  throws java.io.IOException,
                         ServletException

Log the interesting request parameters, invoke the next Filter in the sequence, and log the interesting response parameters.

Parameters:
  `request` - The servlet request to be processed
  `response` - The servlet response to be created
  `chain` - The filter chain being processed
Throws:
  `java.io.IOException` - if an input/output error occurs
  `ServletException` - if a servlet error occurs